<div class="pt-[5.5rem] md:pt-28 lg:pt-32 xl:pt-44">
  <p class="hidden lg:flex text-3xl justify-center">{{workshopName}}</p>
  <div class="lg:flex items-center lg:mx-20 lg:my-10 xl:justify-center">
    <nav class="lg:hidden">
      <ul class="flex justify-center gap-3 text-sm items-center pb-2 mb-4 text-orange-500">
        <li (click)="goToStep(1)" class="cursor-pointer"
          [ngClass]="{'font-bold border-b-2 border-orange-500 mb-[0.1rem]': currentStep === 1, 'text-orange-300': currentStep !== 1 && !stepsValidated[0]}">
          Détails
        </li>
        <i class="fa-solid fa-chevron-right"></i>
        <li (click)="goToStep(2)" class="cursor-pointer"
          [ngClass]="{'font-bold border-b-2 border-orange-500 mb-[0.1rem]': currentStep === 2, 'text-orange-300': currentStep !== 2 && !stepsValidated[1]}">
          Connexion
        </li>
        <i class="fa-solid fa-chevron-right"></i>
        <li (click)="goToStep(3)" class="cursor-pointer"
          [ngClass]="{'font-bold border-b-2 border-orange-500 mb-[0.1rem]': currentStep === 3, 'text-orange-300': currentStep !== 3 && !stepsValidated[2]}">
          Paiement
        </li>
      </ul>
    </nav>

    <div class="lg:w-full">
      <div class="hidden lg:flex xl:justify-center lg:mb-10">
        <ul class="flex border rounded-full">
          <li (click)="goToStep(1)" class="cursor-pointer px-4 py-2 rounded-full"
            [ngClass]="{'bg-orange-500 text-white font-bold': currentStep === 1, 'bg-white text-orange-500': currentStep !== 1}">
            Détails
          </li>
          <li (click)="goToStep(2)" class="cursor-pointer px-4 py-2 rounded-full"
            [ngClass]="{'bg-orange-500 text-white font-bold': currentStep === 2, 'bg-white text-orange-500': currentStep !== 2}">
            Connexion
          </li>
          <li (click)="goToStep(3)" class="cursor-pointer px-4 py-2 rounded-full"
            [ngClass]="{'bg-orange-500 text-white font-bold': currentStep === 3, 'bg-white text-orange-500': currentStep !== 3}">
            Paiement
          </li>
        </ul>
      </div>

      <div class="flex justify-center lg:justify-start xl:justify-center my-10">
        @if (currentStep === 1) {
        <div>
          <!-- Contenu de l'étape Détails -->
          <h2 class="text-xl font-medium mb-4 lg:text-2xl">Détails de la réservation</h2>
          <form class="mt-7" [formGroup]="bookingForm">
            <label for="number_of_persons" class="mb-2 block">Nombre de places</label>
            <div class="flex items-center p-2 border rounded-full overflow-hidden">
              <div class="px-3 flex items-center">
                <i class="fa-solid fa-users"></i>
              </div>
              <select id="number_of_persons" formControlName="number_of_persons"
                class="block w-full p-2 bg-white text-black border-none focus:ring-0">
                <option *ngFor="let number of [1, 2, 3, 4, 5]" [value]="number">{{ number }} place{{ number > 1 ? 's' :
                  ''
                  }}</option>
              </select>
            </div>
            <app-button [buttonText]="'Suivant'" class="flex justify-center mt-8" (click)="nextStep()"
              disabled="!bookingForm.valid"></app-button>
          </form>
        </div>
        }
        @if (currentStep === 2) {
        <div class="text-center lg:text-left">
          <h2 class="text-xl font-semibold mb-4">Vous êtes connecté en tant que {{username}}</h2>
          <p class="mb-4">Vous pouvez passer à l'étape suivante</p>
          <app-button [buttonText]="'Suivant'" class="flex justify-center mt-8" (click)="nextStep()"></app-button>
        </div>
        }
        @if (currentStep === 3) {
        <div class="text-center mx-3">
          <h2 class="text-xl font-semibold mb-4">Choisissez votre mode de paiement</h2>
          <p class="mb-4">Veuillez entrer vos informations de paiement.</p>

          <div class="border rounded p-4 mb-4 cursor-pointer">
            <div class="flex gap-4 items-center" (click)="toggleBlockCb($event)">
              <input type="checkbox" class="form-checkbox mr-2" [checked]="blockCbExpanded" />
              <label class="font-medium">Carte de Crédit</label>
              <i class="fa-brands fa-cc-visa"></i>
              <i class="fa-brands fa-cc-mastercard"></i>
              <i class="fa-brands fa-cc-apple-pay"></i>
            </div>
            <div *ngIf="blockCbExpanded" class="mt-7 text-left">
              <div class="mb-4">
                <label class="block text-sm font-medium">Numéro de carte</label>
                <input type="text" class="border rounded-lg p-3 form-input mt-1 block w-full"
                  placeholder="1234 5678 9012 3456">
              </div>
              <div class="mb-4">
                <label class="block text-sm font-medium">Date d'expiration</label>
                <input type="text" class="border rounded-lg p-3 form-input mt-1 block w-full" placeholder="MM/AA">
              </div>
              <div class="mb-4 pb-6 border-b-2">
                <label class="block text-sm font-medium">CVC</label>
                <input type="text" class="border rounded-lg p-3 form-input mt-1 block w-full" placeholder="123">
              </div>
              <p class="font-light italic text-sm">Vos coordonnées bancaires ne sont pas anonymisées et sont conservées
                par LaVireeTerroir</p>
              <app-button [buttonText]="'Valider et payer'" (buttonClick)="submitBooking()"
                class="flex justify-center mt-4"></app-button>
            </div>
          </div>

          <div class="border rounded p-4 mb-4 cursor-pointer">
            <div class="flex gap-4 items-center" (click)="toggleBlockPayPal($event)">
              <input type="checkbox" class="form-checkbox mr-2" [checked]="blockPayPalExpanded" />
              <label class="font-medium">PayPal</label>
              <i class="fa-brands fa-paypal"></i>
              <i class="fa-brands fa-cc-paypal"></i>
            </div>
            <div *ngIf="blockPayPalExpanded" class="mt-4">
              <p>Vous serez redirigé vers PayPal pour finaliser votre paiement.</p>
              <app-button [buttonText]="'Compris !'" (buttonClick)="submitBooking()"
                class="flex justify-center mt-4"></app-button>
            </div>
          </div>
        </div>
        }
      </div>
    </div>

    <div class="lg:w-full">
      <div class="border rounded-lg p-4 m-3">
        <img class="w-20 h-20 rounded" [src]="reservationImg" alt="reservation image" />
        <p class="font-medium mt-4">{{reservation?.workshop?.workshop_name}}</p>

        <div class="flex gap-2 items-center mt-4">
          <i class="fa-solid fa-users"></i>
          <p>{{bookingForm.controls['number_of_persons'].value}} places</p>
        </div>

        <div class="flex gap-3 items-center ml-1">
          <i class="fa-solid fa-calendar-days"></i>
          <p>{{reservation?.reservation_date | date: 'fullDate'}} - {{formatTime(reservation?.start_time) | date:
            'HH:mm'}}
            - {{formatTime(reservation?.end_time) | date: 'HH:mm'}}</p>
        </div>

        <div class="flex gap-3 items-center ml-1">
          <i class="fa-solid fa-location-dot"></i>
          <p>{{reservation?.workshop?.workshop_address}}</p>
        </div>

        <div class="flex gap-3 mt-5 items-center w-full bg-orange-200 rounded p-3 justify-between text-orange-700">
          <p>Montant</p>
          <p>{{totalAmount}} €</p>
        </div>
      </div>

      <div class="border rounded-lg p-3 m-3">
        <p class="font-medium mb-3">
          Conditions d'utilisation et d'annulation
        </p>
        <p class="text-sm font-light">
          Votre réservation est 100% annulable et remboursable jusqu'à 4 jours avant la date prévue de l'atelier.
          Aucun frais d'annulation ne sera appliqué. Passé ce délai, votre réservation est non annulable et non
          remboursable.
        </p>
      </div>
    </div>
  </div>
</div>